<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta
  http-equiv="Content-Type"
  content="text/html; charset=iso-8859-1">
<title>Server Tools</title>
<link
  rel="stylesheet"
  type="text/css"
  href="../sources/formate.css">
</head>
<body>

<p class="ueberschrift"1>Server Tools</p>
<p>The server component contains the Server Tools framework and adapters
for selected servers. At the WST level, the server component is a very
generic infrastructure. (The J2EE specific server component is in JST).
The component lead is Tim deBoer.</p>

<ul>
  <li>Overview<br>
  <a href="http://eclipse.org/webtools/wst/components/server/index.html">
  http://eclipse.org/webtools/wst/components/server/index.html </a></li>
</ul>

<div align="center">
<p class="ueberschrift">Server Tools</p>
</div>
<p class="ueberschrift">WST Server Plugins<a name="Plugins"></a></p>
<ul>
  <li>Server Tools Framework
  <ul>
    <li>org.eclipse.wst.server.core*</li>
    <li>org.eclipse.wst.server.ui*</li>
    <li>org.eclipse.wst.server.util</li>
  </ul>
  </li>
  <li>Adds notion of a 'server' to Eclipse
  <ul>
    <li>Starting/stopping servers, publishing, targeting projects,
    adding & removing modules</li>
    <li>Framework for adding new server types</li>
    <li>Servers view, wizards, editor framework, etc.</li>
    <li>Ability to choose resource and Run on Server</li>
  </ul>
  </li>
  <li>Depends only on Eclipse</li>
</ul>
<p class="note">* Contains API</p>
<p class="ueberschrift">API<a name="API"></a> Status</p>
<ul>
  <li>API is basically ready to go. Based on past experience we're
  reasonably comfortable with the current content</li>
  <li>Reasonable validation through several servers and API users in WTP</li>
  <li>BEA and IBM are both in the process of validating the API
  internally</li>
  <li>Provisional APIs:
  <ul>
    <li>TCP/IP Monitor</li>
    <li>Parts of server tools relating to features</li>
  </ul>
  </li>
</ul>
<p class="ueberschrift">For more information</p>
<ul>
  <li>Component overviews
  <ul>
    <li>Overviews exist for all three components (wst.internet,
    wst.server, jst.server) on the WTP website</li>
    <li>Some documentation about specific function:
    <ul>
      <li>Run on Server</li>
      <li>Generic servers</li>
    </ul>
    </li>
    <li>EclipseCon presentation</li>
  </ul>
  </li>
  <li>API: javadoc in code or in online help</li>
  <li>Bugzilla
  <ul>
    <li>Feel free to open enhancement requests for unclear javadoc,
    further documentation youd like to see, etc.</li>
  </ul>
  </li>
</ul>
<ul>
  <li>Server component page<br>
  <a href="http://eclipse.org/webtools/wst/components/server/index.html">
  http://eclipse.org/webtools/wst/components/server/index.html </a></li>
</ul>
<br>
<br>
</body>
</html>
